package com.cygnusa.hyperm.wrappers;

public class RedeemProductDetails {
    private String id;
    private String name;
    private String description;
    private String short_description;
    private String sku;
    private String price_type;
    private String min_custom_price;
    private String max_custom_price;
    private String custom_denominations;
    private String product_type;
    private String images;
    private String tnc_mobile;
    private String tnc_web;
    private String tnc_mail;
    private boolean paywithamazon_disable;
    // private ArrayList<String> themes;
    private String order_handling_charge;
    private RedeemCategoryLinks links;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name == null ? "" : name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getShort_description() {
        return short_description;
    }

    public void setShort_description(String short_description) {
        this.short_description = short_description;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getPrice_type() {
        return price_type;
    }

    public void setPrice_type(String price_type) {
        this.price_type = price_type;
    }

    public String getMin_custom_price() {
        return min_custom_price;
    }

    public void setMin_custom_price(String min_custom_price) {
        this.min_custom_price = min_custom_price;
    }

    public String getMax_custom_price() {
        return max_custom_price;
    }

    public void setMax_custom_price(String max_custom_price) {
        this.max_custom_price = max_custom_price;
    }

    public String getCustom_denominations() {
        return custom_denominations;
    }

    public void setCustom_denominations(String custom_denominations) {
        this.custom_denominations = custom_denominations;
    }

    public String getProduct_type() {
        return product_type;
    }

    public void setProduct_type(String product_type) {
        this.product_type = product_type;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public String getTnc_mobile() {
        return tnc_mobile;
    }

    public void setTnc_mobile(String tnc_mobile) {
        this.tnc_mobile = tnc_mobile;
    }

    public String getTnc_web() {
        return tnc_web;
    }

    public void setTnc_web(String tnc_web) {
        this.tnc_web = tnc_web;
    }

    public String getTnc_mail() {
        return tnc_mail;
    }

    public void setTnc_mail(String tnc_mail) {
        this.tnc_mail = tnc_mail;
    }


    public String getOrder_handling_charge() {
        return order_handling_charge;
    }

    public void setOrder_handling_charge(String order_handling_charge) {
        this.order_handling_charge = order_handling_charge;
    }

    public RedeemCategoryLinks getLinks() {
        return links;
    }

    public void setLinks(RedeemCategoryLinks links) {
        this.links = links;
    }

    public boolean isPaywithamazon_disable() {
        return paywithamazon_disable;
    }

    public void setPaywithamazon_disable(boolean paywithamazon_disable) {
        this.paywithamazon_disable = paywithamazon_disable;
    }
}
